package _VisualDVM.Passes.All;
import _VisualDVM.Constants;
import _VisualDVM.Global;
import _VisualDVM.GlobalData.RemoteFile.RemoteFile;
public class ShowSapforCompilationErr extends ShowTestingServerFile {
    @Override
    public String getIconPath() {
        return "/icons/CompilationErrors.png";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        if (!Global.testingServer.db.serverSapfors.getUI().CheckCurrent(Log)) {
            return false;
        }
        return super.canStart("Поток ошибок", new RemoteFile(
                Global.testingServer.db.serverSapfors.getUI().getCurrent().home_path, Constants.err_file));
    }
}
